Python (SDK)
from latitudesh_python_sdk import Latitudesh
import os
with Latitudesh(
bearer=os.getenv("LATITUDESH_BEARER", ""),
) as latitudesh:
res = latitudesh.user_data.get_users_data(extra_fields_user_data="decoded_content", page_size=20, page_number=1)
while res is not None:
# Handle items
res = res.next()package main
import(
"context"
"os"
latitudeshgosdk "github.com/latitudesh/latitudesh-go-sdk"
"github.com/latitudesh/latitudesh-go-sdk/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := latitudeshgosdk.New(
latitudeshgosdk.WithSecurity(os.Getenv("LATITUDESH_BEARER")),
)
res, err := s.UserData.List(ctx, operations.GetUsersDataRequest{})
if err != nil {
log.Fatal(err)
}
if res.UserData != nil {
for {
// handle items
res, err = res.Next()
if err != nil {
// handle error
}
if res == nil {
break
}
}
}
}import { Latitudesh } from "latitudesh-typescript-sdk";
const latitudesh = new Latitudesh({
bearer: process.env["LATITUDESH_BEARER"] ?? "",
});
async function run() {
const result = await latitudesh.userData.list({});
for await (const page of result) {
console.log(page);
}
}
run();curl --request GET \
--url https://api.latitude.sh/user_data \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.latitude.sh/user_data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "ud_1Qkm7dXzD8nZV",
"type": "user_data",
"attributes": {
"description": "Thick slices of French toast bread, brown sugar, half-and-half and vanilla, topped with powdered sugar. With two eggs served any style, and your choice of smoked bacon or smoked ham.",
"content": "VHdvIGJ1dHRlcm1pbGsgd2FmZmxlcywgdG9wcGVkIHdpdGggd2hpcHBlZCBjcmVhbSBhbmQgbWFwbGUgc3lydXAsIGEgc2lkZSBvZiB0d28gZWdncyBzZXJ2ZWQgYW55IHN0eWxlLCBhbmQgeW91ciBjaG9pY2Ugb2Ygc21va2VkIGJhY29uIG9yIHNtb2tlZCBoYW0u",
"created_at": "2026-01-14T15:57:11+00:00",
"updated_at": "2026-01-14T15:57:11+00:00",
"decoded_content": "Two buttermilk waffles, topped with whipped cream and maple syrup, a side of two eggs served any style, and your choice of smoked bacon or smoked ham.",
"project": {
"id": "proj_1ZJrdxoyOg4LV",
"name": "Heavy Duty Aluminum Coat",
"slug": "heavy-duty-aluminum-coat",
"description": "Enormous Bronze Bag",
"provisioning_type": "on_demand",
"billing_type": "Normal",
"billing_method": "Normal",
"bandwidth_alert": false,
"environment": null,
"billing": {},
"stats": {
"databases": 0,
"ip_addresses": 0,
"prefixes": 0,
"servers": 0,
"storages": 0,
"virtual_machines": 0,
"vlans": 0
}
}
}
}
],
"meta": {}
}User data
List user data
List all Users Data in the project. These scripts can be used to configure servers with user data.
GET
/
user_data
Python (SDK)
from latitudesh_python_sdk import Latitudesh
import os
with Latitudesh(
bearer=os.getenv("LATITUDESH_BEARER", ""),
) as latitudesh:
res = latitudesh.user_data.get_users_data(extra_fields_user_data="decoded_content", page_size=20, page_number=1)
while res is not None:
# Handle items
res = res.next()package main
import(
"context"
"os"
latitudeshgosdk "github.com/latitudesh/latitudesh-go-sdk"
"github.com/latitudesh/latitudesh-go-sdk/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := latitudeshgosdk.New(
latitudeshgosdk.WithSecurity(os.Getenv("LATITUDESH_BEARER")),
)
res, err := s.UserData.List(ctx, operations.GetUsersDataRequest{})
if err != nil {
log.Fatal(err)
}
if res.UserData != nil {
for {
// handle items
res, err = res.Next()
if err != nil {
// handle error
}
if res == nil {
break
}
}
}
}import { Latitudesh } from "latitudesh-typescript-sdk";
const latitudesh = new Latitudesh({
bearer: process.env["LATITUDESH_BEARER"] ?? "",
});
async function run() {
const result = await latitudesh.userData.list({});
for await (const page of result) {
console.log(page);
}
}
run();Authorizations
Query Parameters
Project ID or slug
Filter by scope: project (has project), team (no project), or empty (all)
Request aggregate stats in the response meta. Use count to get the total number of records, returned as meta.stats.total.count.
The decoded_content is provided as an extra attribute that shows content in decoded form.
Number of items to return per page
Required range:
x >= 1Page number to return (starts at 1)
Required range:
x >= 1Was this page helpful?
⌘I